<?php

function canvas_id_safe($string) {
  // Replace with dashes anything that isn't A-Z, numbers, dashes, or underscores.
  $string = strtolower(preg_replace('/[^a-zA-Z0-9-]+/', '-', $string));
  // If the first character is not a-z, add 'n' in front.
  if (!ctype_lower($string{0})) { // Don't use ctype_alpha since its locale aware.
    $string = 'id' . $string;
  }
  return $string;
}

/**
 * Create a string of attributes form a provided array.
 *
 * @param $attributes
 * @return Array()
 */
function canvas_process_attributes($attributes = array(), $merge = NULL) {

  // Check if there is an array to be merged.
  if ($merge != NULL && is_array($merge)) {
    $attributes = array_merge_recursive($attributes, $merge);
  }

  // Cycle through the array looking for #attributes keys to process.
  if (is_array($attributes)) {
    foreach($attributes as $key => &$data) {
      if(substr($key, 0, 1) != '#') {
        $data = canvas_process_attributes($data);
      }
      elseif ($key == '#attributes') {
        $attributes['#value'] = theme('render_attributes', $data);
      }
    }
  }
  return $attributes;
}

/**
 * Create a string of attributes form a provided array.
 *
 * @param $attributes
 * @return string
 */
function canvas_render_attributes($attributes) {
  foreach ($attributes as $attribute => &$data) {
    if (is_array($data)) {
      $data = implode(' ', array_unique($data));
    }
    $data = $attribute . '="' . check_plain($data) . '"';
  }
  return $attributes ? ' ' . implode(' ', $attributes) : '';
}
