<?php
/**
 * Enable table drag.
 */
drupal_add_js('misc/tableheader.js');
drupal_add_js(drupal_get_path('module', 'block') .'/block.js');

foreach ($vars['block_regions'] as $region => $title) {
  drupal_add_tabledrag('blocks', 'match', 'sibling', 'block-region-select', 'block-region-'. $region, NULL, FALSE);
  drupal_add_tabledrag('blocks', 'order', 'sibling', 'block-weight', 'block-weight-'. $region);
}

/**
 * Apply all the required classes needed to make the table drag functional.
 */
$vars['block_admin_display_form']->studio_attributes['block_admin_display_form']['#attributes']['id'] = 'blocks';
$vars['block_admin_display_form']->studio_attributes['block_admin_display_form']['#attributes']['class'][] = 'sticky-enabled';

if (!isset($vars['block_admin_display_form']->studio_attributes['header'])) {
  $vars['block_admin_display_form']->studio_attributes['header']['#attributes'] = array();
  $vars['block_admin_display_form']->studio_attributes['header']['block']['#attributes'] = array();
  $vars['block_admin_display_form']->studio_attributes['header']['region']['#attributes'] = array();
  $vars['block_admin_display_form']->studio_attributes['header']['weight']['#attributes'] = array();

  if ($vars['throttle']) {
    $vars['block_admin_display_form']->studio_attributes['header']['throttle']['#attributes'] = array();
  }
}
else {

  if (!isset($vars['block_admin_display_form']->studio_attributes['header']['block'])) {
    $vars['block_admin_display_form']->studio_attributes['header']['block']['#attributes'] = array();
  }

  if (!isset($vars['block_admin_display_form']->studio_attributes['header']['region'])) {
    $vars['block_admin_display_form']->studio_attributes['header']['region']['#attributes'] = array();
  }

  if (!isset($vars['block_admin_display_form']->studio_attributes['header']['weight'])) {
    $vars['block_admin_display_form']->studio_attributes['header']['weight']['#attributes'] = array();
  }

  if ($vars['throttle'] && !isset($vars['block_admin_display_form']->studio_attributes['header']['throttle'])) {
    $vars['block_admin_display_form']->studio_attributes['header']['throttle']['#attributes'] = array();
  }
}

$vars['block_admin_display_form']->studio_attributes['header']['operations']['#attributes']['colspan'] = '2';

foreach ($vars['block_regions'] as $region => $title) {
  $vars['block_admin_display_form']->studio_attributes['block_regions'][$title]['region_title']['#attributes']['class'] = array('region', 'region-' . $region);
  $vars['block_admin_display_form']->studio_attributes['block_regions'][$title]['region_title']['td']['#attributes']['colspan'] = $vars['throttle'] ? '6' : '5';
  $vars['block_admin_display_form']->studio_attributes['block_regions'][$title]['region_message']['#attributes']['class'] = array('region-message', 'region-' . $region . '-message');
  $vars['block_admin_display_form']->studio_attributes['block_regions'][$title]['region_message']['#attributes']['class'][] = empty($vars['block_listing'][$region]) ? 'region-empty' : 'region-populated';
  $vars['block_admin_display_form']->studio_attributes['block_regions'][$title]['region_message']['td']['#attributes']['colspan'] = $vars['throttle'] ? '6' : '5';

  foreach ($vars['block_listing'][$region] as $delta => $data) {
    $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['#attributes']['class'][] = 'draggable';

    if ($data->row_class) {
      $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['#attributes']['class'][] = $data->row_class;
    }

    if (!isset($vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['title'])) {
      $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['title']['#attributes'] = array();
    }

    if (!isset($vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['region'])) {
      $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['region']['#attributes'] = array();
    }

    if (!isset($vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['weight'])) {
      $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['weight']['#attributes'] = array();
    }

    if ($vars['throttle'] && !isset($vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['throttle'])) {
      $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['throttle']['#attributes'] = array();
    }

    if (!isset($vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['configure'])) {
      $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['configure']['#attributes'] = array();
    }

    if (!isset($vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['delete'])) {
      $vars['block_admin_display_form']->studio_attributes['blocks'][$title][$delta]['delete']['#attributes'] = array();
    }
  }
}
