<?php

/**
 * @file aggregator-item.tpl.php
 * Default theme implementation to format an individual feed item for display
 * on the aggregator page.
 *
 * Available variables:
 * - $feed_url: URL to the originating feed item.
 * - $feed_title: Title of the feed item.
 * - $source_url: Link to the local source section.
 * - $source_title: Title of the remote source.
 * - $source_date: Date the feed was posted on the remote source.
 * - $content: Feed item content.
 * - $categories: Linked categories assigned to the feed.
 *
 * @see template_preprocess()
 * @see template_preprocess_aggregator_item()
 */
?>
<div<?php print $attributes['aggregator_item']['#value']; ?>>
  <h3<?php print $attributes['item_title']['#value']; ?>><a href="<?php print $feed_url; ?>"><?php print $feed_title; ?></a></h3>
  <div<?php print $attributes['item_meta']['#value']; ?>>
    <?php if ($source_url) : ?>
    <a href="<?php print $source_url; ?>"<?php print $attributes['item_source']['#value']; ?>><?php print $source_title; ?></a> -
    <?php endif; ?>
    <?php if ($source_date) : ?>
    <span<?php print $attributes['item_date']['#value']; ?>><?php print $source_date; ?></span>
    <?php endif; ?>
  </div>
  <?php if ($content): ?>
  <div<?php print $attributes['item_content']['#value']; ?>>
    <?php print $content; ?>
  </div>
  <?php endif; ?>
  <?php if ($categories) : ?>
  <div<?php print $attributes['item_categories']['#value']; ?>>
    <?php print t('Categories'); ?>: <?php print implode(', ', $categories); ?>
  </div>
  <?php endif ;?>
</div>
