<?php

/**
 * @file block-admin-display-form.tpl.php
 * Default theme implementation to configure blocks.
 *
 * Available variables:
 * - $block_regions: An array of regions. Keyed by name with the title as value.
 * - $block_listing: An array of blocks keyed by region and then delta.
 * - $form_submit: Form submit button.
 * - $throttle: TRUE or FALSE depending on throttle module being enabled.
 *
 * Each $block_listing[$region] contains an array of blocks for that region.
 *
 * Each $data in $block_listing[$region] contains:
 * - $data->region_title: Region title for the listed block.
 * - $data->block_title: Block title.
 * - $data->region_select: Drop-down menu for assigning a region.
 * - $data->weight_select: Drop-down menu for setting weights.
 * - $data->throttle_check: Checkbox to enable throttling.
 * - $data->configure_link: Block configuration link.
 * - $data->delete_link: For deleting user added blocks.
 *
 * @see template_preprocess_block_admin_display_form()
 * @see theme_block_admin_display()
 */
?>

<table<?php print $attributes['block_admin_display_form']['#value']; ?>>
  <thead>
    <tr<?php print $attributes['header']['#value']; ?>>
      <th<?php print $attributes['header']['block']['#value']; ?>><?php print t('Block'); ?></th>
      <th<?php print $attributes['header']['region']['#value']; ?>><?php print t('Region'); ?></th>
      <th<?php print $attributes['header']['weight']['#value']; ?>><?php print t('Weight'); ?></th>
      <?php if ($throttle): ?>
      <th<?php print $attributes['header']['throttle']['#value']; ?>><?php print t('Throttle'); ?></th>
      <?php endif; ?>
      <th<?php print $attributes['header']['operations']['#value']; ?>><?php print t('Operations'); ?></th>
    </tr>
  </thead>
  <tbody>
    <?php foreach ($block_regions as $region => $title): ?>
    <tr<?php print $attributes['block_regions'][$title]['region_title']['#value']; ?>>
      <td<?php print $attributes['block_regions'][$title]['region_title']['td']['#value']; ?>>
        <?php print $title; ?>
      </td>
    </tr>
    <tr<?php print $attributes['block_regions'][$title]['region_message']['#value']; ?>>
      <td<?php print $attributes['block_regions'][$title]['region_message']['td']['#value']; ?>>
        <?php print t('No blocks in this region'); ?>
      </td>
    </tr>
    <?php foreach ($block_listing[$region] as $delta => $data): ?>
    <tr<?php print $attributes['blocks'][$title][$delta]['#value']; ?>>
      <td<?php print $attributes['blocks'][$title][$delta]['title']['#value']; ?>>
        <?php print $data->block_title; ?>
      </td>
      <td<?php print $attributes['blocks'][$title][$delta]['region']['#value']; ?>>
        <?php print $data->region_select; ?>
      </td>
      <td<?php print $attributes['blocks'][$title][$delta]['weight']['#value']; ?>>
        <?php print $data->weight_select; ?>
      </td>
      <?php if ($throttle): ?>
      <td<?php print $attributes['blocks'][$title][$delta]['throttle']['#value']; ?>>
        <?php print $data->throttle_check; ?>
      </td>
      <?php endif; ?>
      <td<?php print $attributes['blocks'][$title][$delta]['configure']['#value']; ?>>
        <?php print $data->configure_link; ?>
      </td>
      <td<?php print $attributes['blocks'][$title][$delta]['delete']['#value']; ?>>
        <?php print $data->delete_link; ?>
      </td>
    </tr>
    <?php endforeach; ?>
    <?php endforeach; ?>
  </tbody>
</table>

<?php print $form_submit; ?>
