<?php

/**
 * @file book-navigation.tpl.php
 * Default theme implementation to navigate books. Presented under nodes that
 * are a part of book outlines.
 *
 * Available variables:
 * - $tree: The immediate children of the current node rendered as an
 *   unordered list.
 * - $current_depth: Depth of the current node within the book outline.
 *   Provided for context.
 * - $prev_url: URL to the previous node.
 * - $prev_title: Title of the previous node.
 * - $parent_url: URL to the parent node.
 * - $parent_title: Title of the parent node. Not printed by default. Provided
 *   as an option.
 * - $next_url: URL to the next node.
 * - $next_title: Title of the next node.
 * - $has_links: Flags TRUE whenever the previous, parent or next data has a
 *   value.
 * - $book_id: The book ID of the current outline being viewed. Same as the
 *   node ID containing the entire outline. Provided for context.
 * - $book_url: The book/node URL of the current outline being viewed.
 *   Provided as an option. Not used by default.
 * - $book_title: The book/node title of the current outline being viewed.
 *   Provided as an option. Not used by default.
 *
 * @see template_preprocess_book_navigation()
 */
?>
<?php if ($tree || $has_links): ?>
<div<?php print $attributes['book_navigation']['#value']; ?>>
  <?php print $tree; ?>
  <?php if ($has_links): ?>
  <div<?php print $attributes['page_links']['#value']; ?>>
    <?php if ($prev_url) : ?>
      <a<?php print $attributes['page_links']['page_prev']['#value']; ?>><?php print t('‹ ') . $prev_title; ?></a>
    <?php endif; ?>
    <?php if ($parent_url) : ?>
      <a<?php print $attributes['page_links']['page_parent']['#value']; ?>><?php print t('up'); ?></a>
    <?php endif; ?>
    <?php if ($next_url) : ?>
      <a<?php print $attributes['page_links']['page_next']['#value']; ?>><?php print $next_title . t(' ›'); ?></a>
    <?php endif; ?>
  </div>
  <?php endif; ?>
</div>
<?php endif; ?>
