<?php

/**
 * @file comment.tpl.php
 * Default theme implementation for comments.
 *
 * Available variables:
 * - $author: Comment author. Can be link or plain text.
 * - $content: Body of the post.
 * - $date: Date and time of posting.
 * - $links: Various operational links.
 * - $new: New comment marker.
 * - $picture: Authors picture.
 * - $signature: Authors signature.
 * - $status: Comment status. Possible values are:
 *   comment-unpublished, comment-published or comment-preview.
 * - $submitted: By line with date and time.
 * - $title: Linked title.
 *
 * These two variables are provided for context.
 * - $comment: Full comment object.
 * - $node: Node object the comments are attached to.
 *
 * @see template_preprocess_comment()
 * @see theme_comment()
 */
?>
<div<?php print $attributes['comment']['#value']; ?>>
  <?php print $picture ?>
  <?php if ($comment->new): ?>
  <span<?php print $attributes['new']['#value']; ?>><?php print $new ?></span>
  <?php endif; ?>
  <h3<?php print $attributes['title']['#value']; ?>><?php print $title ?></h3>
  <div<?php print $attributes['submitted']['#value']; ?>>
    <?php print $submitted ?>
  </div>
  <div<?php print $attributes['content']['#value']; ?>>
    <?php print $content ?>
    <?php if ($signature): ?>
    <div<?php print $attributes['signature']['#value']; ?>>
      <?php print $signature ?>
    </div>
    <?php endif; ?>
  </div>
  <?php print $links ?>
</div>
